@echo off
@rem *************************************************************
@rem * BIGUNS003.bat - Batch file to load NS003.bin file with JUGS
@rem *
@rem * Change the COM value to match the serial port you use
@rem * Change the BAUD value to match the baud rate you use
@rem * Change the ADDR value to the load address of your file
@rem * Change the RUN value to your run flags
@rem * Change the PATH value to the location of JUGS on your PC
@rem *************************************************************
@rem
@rem
set COM=COM1
@rem set BAUD=76800
@rem set BAUD=38400
set BAUD=19200
set ADDR=5000
set RUN=3
set PATH=C:\WINDOWS\COMMAND\JUGS.EXE
@rem
@rem
@rem Check for proper pathname to JUGS
@rem
if exist %PATH% goto file
goto error
:file
@rem
@rem Load the file
@rem
:load
%PATH% -com=%COM% -baud=%BAUD% -addr=%ADDR% -run=%RUN% -file=NS003.bin
goto exit
:error
echo Error: %PATH% is not found.
goto exit
:exit
